Skip to main content
POST
/
wealth
/
accounts
/
{account_id}
/
profile
/
snapshots
curl --request POST \
  --url https://service.bluumfinance.com/v1/wealth/accounts/{account_id}/profile/snapshots \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "trigger": "manual"
}
'
{
  "snapshot_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "version": 123,
  "trigger": "financial_plan",
  "artifact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "completeness_score": 123,
  "created_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.bluumfinance.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

HTTP Basic Authentication using the API Key as username and API Secret as password.

Path Parameters

account_id
string<uuid>
required

The investor account ID

Body

application/json
trigger
enum<string>
default:manual

What triggered this snapshot creation

Available options:
financial_plan,
ips,
manual
artifact_id
string<uuid>

Optional ID of the related Financial Plan or IPS

Response

Snapshot created successfully

Immutable snapshot of investor profile at a point in time

snapshot_id
string<uuid>
read-only
profile_id
string<uuid>
version
integer

Snapshot version number (increments for each new snapshot)

trigger
enum<string>

What triggered this snapshot

Available options:
financial_plan,
ips,
manual
artifact_id
string<uuid> | null

ID of the related Financial Plan or IPS document

completeness_score
number
created_at
string<date-time>
read-only